version 2.2.0
以下の定数を追加(thanks to oscdir for SDL::GL::*, thanks to Rafael Sevilla for SDL::Event::*)
* SDL::Event::APPMOUSEFOCUS
* SDL::Event::APPINPUTFOCUS
* SDL::Event::APPACTIVE
* SDL::GL::STEREO
* SDL::GL::MULTISAMPLEBUFFERS
* SDL::GL::MULTISAMPLESAMPLES
* SDL::GL::ACCELERATED_VISUAL
* SDL::GL::SWAP_CONTROL
以下のメソッドを追加(thanks to soutaro)
* SDL::TTF#hinting
* SDL::TTF#hinting= 
SDL::Mixer::Wave.destroyed_ を SDL::Mixer::Wave.destroyed? に rename (thanks to akicho8)


version 2.1.3.1
バンドルしたSGEを使うためのオプション名を変更
Windows が CFLAGS に -Dmain=SDL_main というのを含んでいることへの対処法を変更

version 2.1.3
以下のメソッドのバグを修正
* SDL::TTF#draw*
ドキュメントの修正
FreeBSDでコンパイル時にエラーが生じる問題を修正(Thanks Rusmir Dusko)
スレッドまわりの挙動を修正
SGE をバンドル(できる限り使わないでください)

version 2.1.2
Rubyの文字列とCの文字列の変換を厳密にするようにした
以下のメソッドのバグを修正
* SDL::Surface#draw_bezier
ドキュメントの修正

version 2.1.1
Ruby 1.9とMacOS Xでコンパイルできない問題を修正
sdl.so を sdl_ext という名前に変更
以下の定数を追加
* SDL::Mixer::NO_FADING
* SDL::Mixer::FADING_OUT
* SDL::Mixer::FADING_IN
* SDL::TRANSFORM_AA(for compatible with 1.x)
* SDL::TRANSFORM_TMAP(for compatible with 1.x)
* SDL::TRANSFORM_SAFE(for compatible with 1.x)
ドキュメントの修正
古いドキュメントを削除

version 2.1.0
以下のメソッドを追加
* SDL::TTF#close
* SDL::TTF#closed?
* SDL::BMFont#close
* SDL::BMFont#closed?
* SDL::Kanji#close
* SDL::Kanji#closed?
* SDL::Surface#destroyed?
* SDL::Joystick#closed?
* SDL::Mixer::Wave#destroyed?
* SDL::Mixer::Music#destroyed?
* SDL::Kanji#get_coding_system
ドキュメントの修正
以下のメソッドの呼びだし中に1.9でスレッド切り替え可能に変更
* SDL::Event#wait
* SDL.delay
以下のメソッドでRubyのm17n機能を利用するように変更
* SDL::WM.set_caption
* SDL::WM.caption
* SDL::TTF#draw_solid 
* SDL::TTF#draw_blended 
* SDL::TTF#draw_shaded
* SDL::TTF#render_solid
* SDL::TTF#render_blended
* SDL::TTF#render_shaded
* SDL::Kanji#put
* SDL::Kanji#putTate
* SDL::SDLSKK#str
以下のメソッドのバグを修正
* SDL::MPEG#move

version 2.0.1b
サンプルのバグを修正
SDL::MPEG.infoを修正

version 2.0.1
コンパイルできない場合があるのを修正
SDL::Surface.blitでビデオメモリがロストした場合に
例外SDL::Surface::VideoMemoryLostを発生させるようにした。

version 2.0 
ruby 1.9で使えるように変更
SDL_RWops対応を修正し、SDL::Mixer::Wave.load_from_ioが使えるようにした。
ドキュメントの改善(特に英語版)
以下のメソッドを追加
* SDL::Surface#load_bmp_from_string
* SDL::Surface#load_from_string
* SDL::Mixer::Wave#load_from_string
* SDL::Mixer.playing_channels

version 2.0 alpha 1
内部構造を大幅に変更
SDL::Event2をSDL::Eventに変更し、かつてのSDL::Eventは廃止
以下のメソッドを廃止
* SDL::Surface#draw_ellispe
* SDL::Surface#draw_filled_ellispe
* SDL::Surface#rotate_surface
* SDL::Surface#rotate_scaled_surface
* SDL.rotate
* SDL.rotate_blit
* SDL.rotate_scaled_blit
* SDL.rotate_xy_scaled
以下のメソッドを追加
* SDL::Surface#destroy
* SDL::Joystick#close
* SDL::Mixer#close
* SDL::Mixer::Wave#destroy
* SDL::Mixer::Music#destroy
SDL::GLモジュールを追加
SDL::PixelFormat(SDL::Surface::Formatのほうが良い？)の実装を変更
Surfaceのフォーマットを指定するのにSDL::PixelFormatが使えるように変更
以下の描画メソッドの(antialias, fill, alphaをあらわす)引数を追加
* SDL::Surface#draw_line
* SDL::Surface#draw_circle
* SDL::Surface#draw_rect
* SDL::Surface#draw_ellipse
* SDL::Surface#draw_bezier
以下のようにメソッドを移動、旧来のものも利用はできます
* SDL.auto_lock? -> SDL::Surface.auto_lock?
* SDL.auto_lock_on -> SDL::Surface.auto_lock_on
* SDL.auto_lock_off -> SDL::Surface.auto_lock_off
* SDL.transform_blit -> SDL::Surface#transform_blit
* SDL.blitSurface -> SDL::Surface.blit
* SDL.get_video_surface -> SDL::Screen.get
* SDL.set_video_mode -> SDL::Screen.open
* SDL.check_video_mode -> SDL::Screen.check_mode
* SDL.list_modes -> SDL::Screen.list_modes
* SDL.set_gamma -> SDL::Screen.set_gamma
* SDL.get_gamma_ramp -> SDL::Screen.get_gamma_ramp
* SDL.set_gamma_ramp -> SDL::Screen.set_gamma_ramp
* SDL.video_driver_name -> SDL::Screen.driver_name
* SDL.video_info -> SDL::Screen.info
* SDL::Surface#get_rgb -> SDL::PixelFormat#get_rgb
* SDL::Surface#get_rgba -> SDL::PixelFormat#get_rgba
* SDL::Surface#map_rgb -> SDL::PixelFormat#map_rgb
* SDL::Surface#map_rgba -> SDL::PixelFormat#map_rgba
* SDL::Surface#get_palette -> SDL::PixelFormat#palette
* SDL::Surface#bpp -> SDL::PixelFormat#bpp
* SDL::Surface#bytes_per_pixel -> SDL::PixelFormat#bytes_per_pixel
* SDL::Surface#[RGBA]mask -> SDL::PixelFormat#[RGBA]mask
* SDL::Surface#[RGBA]shift -> SDL::PixelFormat#[RGBA]shift
* SDL::Surface#[RGBA]loss -> SDL::PixelFormat#[RGBA]loss
* SDL::Surface#colorkey -> SDL::PixelFormat#colorkey
* SDL::Surface#alpha -> SDL::PixelFormat#alpha
* SDL.get_GL_attr -> SDL::GL.get_attr
* SDL.set_GL_attr -> SDL::GL.set_attr
* SDL.GL_swap_buffers -> SDL::GL.swap_buffers
以下のように定数を移動。旧来のものも利用はできます。
* GL_RED_SIZE -> GL::RED_SIZE
* GL_GREEN_SIZE -> GL::GREEN_SIZE
* GL_BLUE_SIZE -> GL::BLUE_SIZE
* GL_ALPHA_SIZE -> GL::ALPHA_SIZE
* GL_BUFFER_SIZE -> GL::BUFFER_SIZE
* GL_DOUBLEBUFFER -> GL::DOUBLEBUFFER
* GL_DEPTH_SIZE -> GL::DEPTH_SIZE
* GL_STENCIL_SIZE -> GL::STENCIL_SIZE
* GL_ACCUM_RED_SIZE -> GL::ACCUM_RED_SIZE
* GL_ACCUM_GREEN_SIZE -> GL::ACCUM_GREEN_SIZE
* GL_ACCUM_BLUE_SIZE -> GL::ACCUM_BLUE_SIZE
* GL_ACCUM_ALPHA_SIZE -> GL::ACCUM_ALPHA_SIZE
OpenGL関連のドキュメントを追加


version 1.3.1
SMPEG有、SDL_mixer無の場合の問題を修正
以下のメソッドを追加
  SDL::Surface#Rloss
  SDL::Surface#Gloss
  SDL::Surface#Bloss
  SDL::Surface#Aloss
  SDL::Surface#Rshift
  SDL::Surface#Gshift
  SDL::Surface#Bshift
  SDL::Surface#Ashift
  SDL::Surface#pitch
  SDL::Surface#bytes_per_pixel
以下のメソッドを修正
  SDL::Surface.pixels

version 1.3.0
ドキュメントを修正/改善
定数SDL::NOFRAMEが定義されていなかったのを修正
以下のメソッドを追加
  SDL::Screen#update_rects
  SDL::Event2.pump
  SDL::Screen.open
  SDL::Surface.blit
  SDL::Mixer.driver_name
以下のメソッドを修正
  SDL.video_driver_name


version 1.2.0
日本語のリファレンスのMPEGの項目を加筆
以下のメソッドを追加
  SDL::MPEG#render_final
  SDL::Surface.load_bmp_from_io
  SDL::Surface.load_from_io
  SDL::Mixer::Wave.load_from_io
  SDL::Mixer::Music.load_from_string
SMPEG有、SDL_mixer無の場合にコンパイルできないバグを修正

version 1.1.0
日本語のリファレンスを全面改訂
以下のメソッドを追加
  SDL::CD.framesToMSF
  SDL::CD.MSFToFrames
  SDL::CD#in_drive?
  SDL::Mixer.playChannelTimed
  SDL::Mixer.fadeInChannel
  SDL::Mixer.fadeInChannelTimed
  SDL::Mixer.expire
  SDL::Mixer.fading
  SDL::Mixer.fadeOut
  SDL::Mixer.fadingMusic
  SDL::Mouse.show?
  SDL::CollisionMap#w
  SDL::CollisionMap#h
  SDL::BMFont#textSize
  SDL::TTF#init?
以下のクラスを追加
  SDL::Event2::VideoExpose
以下のメソッドのバグを修正
  SDL::Key.press?
  SDL::TTF#familyName
  SDL::TTF#styleName
以下のクラスの終了時バグを修正
  SDL::BMFont
キーリピート関連の定数を追加

version 1.0.0
以下のメソッドを追加
  SDL::Surface#drawBezier
  SDL::Surface#drawAABezier
  SDL::Surface#drawBezierAlpha
  SDL::Surface#drawAABezierAlpha
以下のメソッドのバグを修正
  SDL::MPEG#setDisplay

version 0.9.5
以下のメソッドのバグを修正
  SDL::Surface#getPalette
  SDL::Surface#copyRect
以下のメソッドを追加
  SDL::WM.grubInput
  SDL.quit
  SDL.putenv
  SDL.getenv
ささいなtypoを修正
ドキュメントを一部修正(SDL::TTF#textSize)

version 0.9.4
SDL::Surface#pixels, SDL::Surface#[RGBA]mask, SDL::Surface.new_fromを追加
SDL::Surface.newを拡張
OpenGL関連のドキュメントを最低限の分追加

version 0.9.3
sgeのbitmap font描画機能を追加
SDL_kanjiによるbdf font描画機能を追加
SDL::TTF#height, #ascent, #descent, #lineSkipを追加
SDL::Surface#copyRectを追加
warningがでる点を修正
SDLSKKインターフェースの致命的なバグを修正
OpenGLをデフォルトで有効にした

version 0.9.2
sgeのアルファ付き図形描画、アンチエイリアズ付き図形描画をサポート
SDL.transformBlitをsetAlphaでのalphaの設定を有効にする

version 0.9.1

SDL::EventとSDL::Event2の致命的なバグを修正

version 0.9

SDLSKK 0.4をサポート、0.3のサポートを停止
衝突判定機能を追加 ( thanks to Wayne Conrad )
MPEG再生機能を強化。複数のMPEGファイルを読みこめるようにする、SDL_Mixerによる
音声再生機能との共存を可能にするなどの変更をした。
サンプルを追加。( thanks to Simon Strandgaard )

version 0.8.3

以下のメソッドを追加(typoのため) ( thanks to Wayne Conrad )
  SDL::Surface#drawEllipse
  SDL::Surface#drawFilledEllipse
以下のメソッドを修正( thanks to moumar )
  SDL.videoInfo

version 0.8.2

SDLSKK 0.3をサポート、0.2以前はサポートしないことにした
Joystick機能のバグを修正
以下のメソッドを追加
  SDL::Screen#toggleFullScreen
  SDL::Key.getKeyName
ドキュメントにaliasを記述

version 0.8.1

バグ修正

version 0.8

SDLSKKのサポートを加える。
終了処理の変更(たむらさんのパッチなどによる)
アンダーバー区切りのメソッド名を利用できるようにした( blit_surface など )
メソッド名を変更
  SDL::CD.name -> SDL::CD.indexName
  SDL::Joystick.name -> SDL::Joystick.indexName
以下のメソッドの追加
  SDL::Mixer.allocateChannels
  SDL::TTF#renderSolidUTF8
  SDL::TTF#renderBlendedUTF8
  SDL::TTF#renderShadedUTF8
  SDL::TTF#faces
  SDL::TTF#fixedWidth?
  SDL::TTF#familyName
  SDL::TTF#styleName
  SDL.videoDriverName
  SDL.getGammaRamp
  SDL.setGammaRamp
  SDL::Surface#saveBMP
  SDL::Surface#displayFormatAlpha
  SDL::Surface#getClipRect
  SDL.autoLock?
  SDL.autoLockON
  SDL.autoLockOFF
以下のメソッドを拡張
  SDL.blitSurface2
